Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007026opensim[REGION] OpenSim Corepublic2014-02-21 05:162014-07-29 13:42
ReporterMata Hari 
Assigned ToMata Hari 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformCore2DuoOSlinuxOS VersionUbuntu 13.10
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007026: Error thrown on every sim startup [SCENEGRAPH]
DescriptionSince switching to the latest OSG release [r/24336] I have found that the simulator start-up time has greatly increased and appears to hang at the step: [SCENE] Loading land objects from cache

After a lengthy delay (2-5 minutes!!!) the following error message is printed to console:

08:01:52 - [SCENEGRAPH]: Problem processing action in ForEachSOG: The operation has timed out. at System.Net.WebConnectionStream.Read (System.Byte[] buffer, Int32 offset, Int32 size) [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Communications.RestClient.Request () [0x00000] in <filename unknown>:0
  at OpenSim.Services.Connectors.AssetServicesConnector.GetData (System.String id) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.ServiceConnectorsOut.Asset.HGAssetBroker.GetData (System.String id) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule.GetTexture (UUID id) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule.GetOrCreateMaterial (Warp3D.Warp3D renderer, Color4 faceColor, UUID textureID) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule.CreatePrim (Warp3D.Warp3D renderer, OpenSim.Region.Framework.Scenes.SceneObjectPart prim, Boolean useTextures) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule+<>c__DisplayClass1.<CreateAllPrims>b__0 (OpenSim.Region.Framework.Scenes.SceneObjectGroup group) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.SceneGraph.ForEachSOG (System.Action`1 action) [0x00000] in <filename unknown>:0

Then the remaining start-up steps proceed as per normal and sim is active (so this is a non-fatal error).

Total start-up time for my two regions used to be about 20-30 seconds prior to the r/24336 update. Now, with this lengthy delay, the simulator will take 3 to as much as 6 minutes to start. If I revert to my previous install it loads normally without error messages.
Additional InformationI am using the optional OpenSim.exe config and launching with --debug switch
TagsNo tags attached.
Git Revision or version number24336
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Files

- Relationships
duplicate of 0006990closedkenvc OpenSim.Region.Framework.Scenes.SceneGraph [SCENEGRAPH]: Problem processing action in ForEachSOG 

-  Notes
(0025250)
jak.daniels (reporter)
2014-02-21 05:25

Try disabling the warp3DImage Module that creates maps. There seems to be problems with it at the moment, with exceptions like yours, or one referring to J2K image decoder. It also takes much longer to render map tiles than it used to, hence the delay you're seeing, especially as your simulator is running multiple regions.
(0025251)
Mata Hari (reporter)
2014-02-21 05:55

Thanks Jak

Also, I just discovered that this is a duplicate of 0006990...sorry about that.
(0025298)
justincc (administrator)
2014-02-24 12:01

What revision were you updating from?
(0025302)
Mata Hari (reporter)
2014-02-24 12:55
edited on: 2014-02-24 13:00

That was on an update from OSgrid0.8.0 (Dev) 966ab21 dated Jan 24 2014 to OSgrid 0.8.0 (Dev) fc9930e dated Feb 16 2014.

Upon updating again to OSgrid 0.8.0 (Dev) cddf1ec dated Feb 21 2014 I can at least launch the sim again without reams of error messages though at some point during the night it generated one for no apparent reason (no avi present in the sim and no activity for 6+ hours prior to that message.

EDIT: note that because I discovered this is a dupe of another existing report I'd been adding information to that one rather than this. Perhaps best to close this one unless you think they're unrelated

(0025303)
justincc (administrator)
2014-02-24 12:59

You may want to try d6837f5dc (Feb 22 2014) as well when you can. However, this relates to other issues rendering maptiles so I don't know how much it will help.

Also, I'm surprised this would affect asset fetch times. To me, that would point towards an overloaded asset service though it would be odd if this changed when going back to a recent OpenSimulator revision. Maybe some other recent change is causing the simulator to request many more assets than before when generating this maptile for some reason.
(0025304)
Mata Hari (reporter)
2014-02-24 13:08
edited on: 2014-02-24 13:10

I'll try the latest one and see if that changes anything; however I should point out that the changes between the Jan 24 (working perfectly) and Feb 16 (FUBAR) versions was the additional set of drops from Melanie.

When I do a new install I always place it in a new folder so it has to completely rebuild the region caches which involves fetching 1000+ assorted mesh objects as well as their textures (and in many cases normal maps and specular maps too) so that *will* generate quite a lot of asset calls. OSG has been relatively slow in delivering these in general and will often choke and freeze on texture fetches as per my other recent Mantis report (0007004)

(0025305)
Mata Hari (reporter)
2014-02-24 13:37

With r/24383 clean build the initial start-up took about 7 minutes and generated 5 [SynchromousRestObjectRequester] messages about slow requests (ranging from 3433ms to 13342 ms) and 1 [WARP 3D IMAGE MODDULE] message re error in decoding JPEG2000 for a texture. Otherwise it seemed to go fairly smoothly.

This makes me wonder if initial check-in and cache-creation for region objects has changed...does it now wait until all of the asset data has been retrieved for all scene objects before moving on to the script start-up phase whereas before it let that retrieval & caching happen in the background afterwards?
(0025388)
Mata Hari (reporter)
2014-03-07 04:55

First instance launch of the last 2 builds I've done has been a bit faster (0000004:0000005 min total) and subsequent launches after all the assets are sitting in flotsam file cache are back to the sort of times I was experiencing in the fall. No idea if you've made changes or if it's just one of those mysterious fixes. At any rate, the issue appears to not be happening for me any longer during initial launch even if I have draw prims on map enabled.

At infrequent occasions -- once or twice a day when the sim is sitting more or less idle -- I will still see a ForEachSOG message but I'll report those in 0006990 so I guess this one can be marked resolved as of r/24408

- Issue History
Date Modified Username Field Change
2014-02-21 05:16 Mata Hari New Issue
2014-02-21 05:25 jak.daniels Note Added: 0025250
2014-02-21 05:55 Mata Hari Note Added: 0025251
2014-02-21 05:56 Mata Hari Relationship added related to 0006990
2014-02-21 05:56 Mata Hari Relationship replaced duplicate of 0006990
2014-02-24 12:01 justincc Note Added: 0025298
2014-02-24 12:55 Mata Hari Note Added: 0025302
2014-02-24 12:59 justincc Note Added: 0025303
2014-02-24 13:00 Mata Hari Note Edited: 0025302 View Revisions
2014-02-24 13:08 Mata Hari Note Added: 0025304
2014-02-24 13:10 Mata Hari Note Edited: 0025304 View Revisions
2014-02-24 13:37 Mata Hari Note Added: 0025305
2014-03-07 04:55 Mata Hari Note Added: 0025388
2014-03-07 04:55 Mata Hari Status new => resolved
2014-03-07 04:55 Mata Hari Fixed in Version => master (dev code)
2014-03-07 04:55 Mata Hari Resolution open => fixed
2014-03-07 04:55 Mata Hari Assigned To => Mata Hari
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker